<ng-container *ngIf="(editing$ | async) as editing; then display; else edit"></ng-container>

<ng-template #edit>
    <p>{{bio}}</p>
    <button *ngIf="isCurrentUser" class="mr-text-button" (click)="editBio()">Editar <i class="las la-pen"></i></button>
</ng-template>

<ng-template #display>
    <textarea #textarea [(ngModel)]="ref" mrAutoFocus></textarea>

    <div class="edit-actions">

        <button (click)="closeEdit()"
        mr-button class="secondary small hover">
            Cancelar
        </button>

        <button (click)="saveBio()"
        mr-button class="primary small hover">
            Guardar
        </button>

    </div>
</ng-template>
